Firefox3無法安裝 [論壇 - Ubuntu 與工具程式及軟體推薦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



Ping
Firefox3無法安裝
Anon:Ping
環境是8.04
記得之前firefox beta 5 會在剛灌好ubuntu後所進行的套件程式更新升級為firefox3
今天重灌完ubuntu,卻發現火狐在套件程式升級後消失了,到應用程式去找也找不到

於是我到套件管理程式搜尋firefox
勾選firefox3後安裝
結果出現以下的訊息:

firefox-3.0:
依存關係: xulrunner-1.9 (>=1.9.0.1) 但將會安裝 1.9+nobinonly-0ubuntu0.8.04.1

換apt-get指令安裝
出現以下的訊息:

讀取套件清單中... 完成
了解套件依存關係中
Reading state information... 完成
有一些套件無法被安裝。這也許是系統無法實現您要求的狀態
或是您使用不穩定(unstable)發行版而這些需要的套件尚未完成
或從 Incoming 目錄移除。

您僅要求對單一套件進行操作,這極有可能是因為
該套件無法安裝,您最好提交一個針對這個套件
的臭蟲報告。
底下的資訊有助於解決現在的情況:

下列的套件有無法滿足的依存關係:
firefox: 依存關係: firefox-3.0 但是它卻不會被安裝。
E: 損毀的套件

想請問這該如何解決呢?

2008/7/25 16:45 | 00d9f bf1b4 06155 68f51
應用擴展 工具箱
訪客
回復: Firefox3無法安裝
Anon:訪客
晚一點再試
可能是相關套件正在上傳更新中
還沒齊全吧

不然手動給先它裝看看
sudo apt-get install xulrunner firefox

2008/7/25 16:53 | 75878 66430 9b1e1 2165b
應用擴展 工具箱
訪客
回復: Firefox3無法安裝
Anon:訪客
手動裝也失敗了

謝謝你的建議,那我先用firefox2頂著先

2008/7/25 17:09 | 00d9f bf1b4 06155 68f51
應用擴展 工具箱
回復: Firefox3無法安裝
會員五級
註冊日期:
2008/6/15 2:56
所屬群組:
已註冊使用者
等級: 38
HP : 0 / 945
MP : 757 / 39520
EXP: 81
離線
訪客 寫到:
手動裝也失敗了

謝謝你的建議,那我先用firefox2頂著先

你先把firefox全都移除用下面方法安裝試試,我之前也有遇過你這個問題,用下面的方法可以安裝
應用程式→添加刪除→網際網路→Firefox Web Browser打勾

2008/7/28 2:24
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.